str_diff(3)

NAME
str_diff - compare two ASCIIZ strings

SYNTAX
#include <str.h> extern int str_diff(const char* a,const char* b);

DESCRIPTION
str_diff returns negative, 0, or positive, depending on whether the string a[0], a[1], ..., a[n]=='\0' is lexicographically smaller than, equal to, or greater than the string b[0], b[1], ..., b[m-1]=='\0'. If the strings are different, str_diff does not read bytes past the first difference.

SEE ALSO
strlen(3)